<div *ngIf="availability">
  <label for="start-time">Start time</label>
  <ngb-timepicker id="start-time"
                  [(ngModel)]="startTime"></ngb-timepicker>
  <label for="end-time">End time</label>
  <ngb-timepicker id="end-time"
                  [(ngModel)]="endTime"></ngb-timepicker>

  <label for="start-recur">Start recursion</label>
  <br>
  <p-calendar id="start-recur"
              [(ngModel)]="startRecur"
              [showIcon]="true"
  ></p-calendar>
  <br>
  <label for="end-recur">End recursion</label>
  <br>
  <p-calendar id="end-recur"
              [(ngModel)]="endRecur"
              [showIcon]="true"
  ></p-calendar>
  <br>
  <label>Repeat on</label>
  <div class="row">
    <div class="col pr-0 pl-1">
      <p-toggleButton onLabel="{{'MONDAY_SHORT'|translate}}"
                      offLabel="{{'MONDAY_SHORT'|translate}}"
                      class="criterion-input" styleClass="criterion-input"
                      [(ngModel)]="availabilityMonday"></p-toggleButton>
    </div>
    <div class="col px-1">
      <p-toggleButton onLabel="{{'TUESDAY_SHORT'|translate}}"
                      offLabel="{{'TUESDAY_SHORT'|translate}}"
                      class="criterion-input" styleClass="criterion-input"
                      [(ngModel)]="availabilityTuesday"></p-toggleButton>
    </div>
    <div class="col px-0">
      <p-toggleButton onLabel="{{'WEDNESDAY_SHORT'|translate}}"
                      offLabel="{{'WEDNESDAY_SHORT'|translate}}"
                      class="criterion-input" styleClass="criterion-input"
                      [(ngModel)]="availabilityWednesday"></p-toggleButton>
    </div>
    <div class="col px-1">
      <p-toggleButton onLabel="{{'THURSDAY_SHORT'|translate}}"
                      offLabel="{{'THURSDAY_SHORT'|translate}}"
                      class="criterion-input" styleClass="criterion-input"
                      [(ngModel)]="availabilityThursday"></p-toggleButton>
    </div>
    <div class="col px-0">
      <p-toggleButton onLabel="{{'FRIDAY_SHORT'|translate}}"
                      offLabel="{{'FRIDAY_SHORT'|translate}}"
                      class="criterion-input" styleClass="criterion-input"
                      [(ngModel)]="availabilityFriday"></p-toggleButton>
    </div>
    <div class="col px-1">
      <p-toggleButton onLabel="{{'SATURDAY_SHORT'|translate}}"
                      offLabel="{{'SATURDAY_SHORT'|translate}}"
                      class="criterion-input" styleClass="criterion-input"
                      [(ngModel)]="availabilitySaturday"></p-toggleButton>
    </div>
    <div class="col pl-0 pr-1">
      <p-toggleButton onLabel="{{'SUNDAY_SHORT'|translate}}"
                      offLabel="{{'SUNDAY_SHORT'|translate}}"
                      class="criterion-input" styleClass="criterion-input"
                      [(ngModel)]="availabilitySunday"></p-toggleButton>
    </div>
  </div>
  <br>
  <button pButton
          type="button"
          icon="pi pi-check"
          label="{{'Save'|translate}}"
          (click)="saveAvailability()"
  ></button>
</div>
